#include <iostream>

using namespace std;

int main()
{
    int n,m,i,zbir=0,pom1=0,pom2=0;
    cin>>n;
    cin>>m;
    int a[n],x,y,veze[n];
    for(i=1;i<=n;i++)
    {
        cin>>a[i];
        veze[i]=0;
    }
    for(i=1;i<=m;i++)
    {
            cin>>x;
            veze[x]++;
            cin>>y;
            veze[y]++;
            pom1=a[x]*1+a[y]*1;
            pom2=a[x]*(-1)+a[y]*(-1);
            if(pom1>pom2)
            {
                zbir=zbir+pom1;
            }
            else
            {
                zbir=zbir+pom2;
            }
    }
    cout<<zbir;
    return 0;
}